Bug 21064 - Advanced cataloging editor - rancor - check for changes should return 'undefined' instead of 'undef'
Summary: Advanced cataloging editor - rancor - check for changes should return 'undefi...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19267
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-12 10:17 UTC by Nick Clemens
Modified: 2018-09-21 09:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21064: Use undefined instead of undef (1.12 KB, patch)
2018-07-12 10:19 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21064: Use undefined instead of undef (1.18 KB, patch)
2018-07-13 19:28 UTC, Pierre-Luc Lapointe
Details | Diff | Splinter Review
Bug 21064: Use undefined instead of undef (1.24 KB, patch)
2018-07-18 06:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-07-12 10:17:50 UTC
undef causes a JS error, undefined seems to be the correct term to use
Comment 1 Nick Clemens 2018-07-12 10:19:57 UTC
Created attachment 76882 [details] [review]
Bug 21064: Use undefined instead of undef

To test:
1 - Load the advanced cataloging editor
2 - Refresh the page several times
3 - Check the JS console, you shoudl see an error:
    'undef is not defined'
4 - Apply patch
5 - Try again, should be no error
Comment 2 Pierre-Luc Lapointe 2018-07-13 19:28:20 UTC
Created attachment 76963 [details] [review]
Bug 21064: Use undefined instead of undef

To test:
1 - Load the advanced cataloging editor
2 - Refresh the page several times
3 - Check the JS console, you shoudl see an error:
    'undef is not defined'
4 - Apply patch
5 - Try again, should be no error

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>
Comment 3 Katrin Fischer 2018-07-18 06:07:36 UTC
Created attachment 77065 [details] [review]
Bug 21064: Use undefined instead of undef

To test:
1 - Load the advanced cataloging editor
2 - Refresh the page several times
3 - Check the JS console, you shoudl see an error:
    'undef is not defined'
4 - Apply patch
5 - Try again, should be no error

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-07-19 17:37:31 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-08-02 13:45:38 UTC
Pushed to 18.05.x for 18.05.03
Comment 6 Fridolin SOMERS 2018-09-21 09:33:13 UTC
Pushed to 17.11.x for 17.11.10